Functions
IT_Management
Peripheral Driver » LL Driver » TIMER » Functions

## Functions
__STATIC_INLINE void | ll_timer_enable_all_it (timer_regs_t *TIMERx)
| Enable timer all interrupt. More...
__STATIC_INLINE void | ll_timer_disable_all_it (timer_regs_t *TIMERx)
| Disable timer all interrput. More...
__STATIC_INLINE void | ll_timer_enable_countdone_it (timer_regs_t *TIMERx)
| Enable timer countdone interrupt. More...
__STATIC_INLINE void | ll_timer_disable_countdone_it (timer_regs_t *TIMERx)
| Disable timer countdone interrput. More...
__STATIC_INLINE void | ll_timer_enable_channel0_it (timer_regs_t *TIMERx)
| Enable timer channel0 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_channel0_it (timer_regs_t *TIMERx)
| Disable timer channel0 interrput. More...
__STATIC_INLINE void | ll_timer_enable_channel1_it (timer_regs_t *TIMERx)
| Enable timer channel1 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_channel1_it (timer_regs_t *TIMERx)
| Disable timer channel1 interrput. More...
__STATIC_INLINE void | ll_timer_enable_channel2_it (timer_regs_t *TIMERx)
| Enable timer channel2 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_channel2_it (timer_regs_t *TIMERx)
| Disable timer channel2 interrput. More...
__STATIC_INLINE void | ll_timer_enable_channel3_it (timer_regs_t *TIMERx)
| Enable timer channel3 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_channel3_it (timer_regs_t *TIMERx)
| Disable timer channel3 interrput. More...
__STATIC_INLINE void | ll_timer_enable_blepulse1_it (timer_regs_t *TIMERx)
| Enable timer ble pulse 1 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_blepulse1_it (timer_regs_t *TIMERx)
| Disable timer ble pulse 1 interrput. More...
__STATIC_INLINE void | ll_timer_enable_blepulse2_it (timer_regs_t *TIMERx)
| Enable timer ble pulse 2 interrupt. More...
__STATIC_INLINE void | ll_timer_disable_blepulse2_it (timer_regs_t *TIMERx)
| Disable timer ble pulse 2 interrput. More...
__STATIC_INLINE uint32_t | ll_timer_is_enabled_it (timer_regs_t *TIMERx)
| Indicate whether the timer interrput is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_timer_disable_all_it()

__STATIC_INLINE void ll_timer_disable_all_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer all interrput.

Register|BitsName --------|-------- INTEN | TIMER_COUNTDONE_INT_EN | TIMER_CH0_INT_EN | TIMER_CH1_INT_EN | TIMER_CH2_INT_EN | TIMER_CH3_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 378 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_blepulse1_it()

__STATIC_INLINE void ll_timer_disable_blepulse1_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer ble pulse 1 interrput.

Register|BitsName --------|-------- INTEN | TIMER_BLEPULSE1_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 562 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_blepulse2_it()

__STATIC_INLINE void ll_timer_disable_blepulse2_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer ble pulse 2 interrput.

Register|BitsName --------|-------- INTEN | TIMER_BLEPULSE2_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 592 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_channel0_it()

__STATIC_INLINE void ll_timer_disable_channel0_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer channel0 interrput.

Register|BitsName --------|-------- INTEN | TIMER_CH0_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 442 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_channel1_it()

__STATIC_INLINE void ll_timer_disable_channel1_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer channel1 interrput.

Register|BitsName --------|-------- INTEN | TIMER_CH1_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 472 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_channel2_it()

__STATIC_INLINE void ll_timer_disable_channel2_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer channel2 interrput.

Register|BitsName --------|-------- INTEN | TIMER_CH2_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 502 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_channel3_it()

__STATIC_INLINE void ll_timer_disable_channel3_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer channel3 interrput.

Register|BitsName --------|-------- INTEN | TIMER_CH3_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 532 of file gr533x_ll_tim.h.

## ◆ ll_timer_disable_countdone_it()

__STATIC_INLINE void ll_timer_disable_countdone_it | ( | timer_regs_t * | TIMERx | ) |

Disable timer countdone interrput.

Register|BitsName --------|-------- INTEN | TIMER_COUNTDONE_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 412 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_all_it()

__STATIC_INLINE void ll_timer_enable_all_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer all interrupt.

Register|BitsName --------|-------- INTEN | TIMER_COUNTDONE_INT_EN | TIMER_CH0_INT_EN | TIMER_CH1_INT_EN | TIMER_CH2_INT_EN | TIMER_CH3_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 359 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_blepulse1_it()

__STATIC_INLINE void ll_timer_enable_blepulse1_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer ble pulse 1 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_BLEPULSE1_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 547 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_blepulse2_it()

__STATIC_INLINE void ll_timer_enable_blepulse2_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer ble pulse 2 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_BLEPULSE2_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 577 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_channel0_it()

__STATIC_INLINE void ll_timer_enable_channel0_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer channel0 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_CH0_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 427 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_channel1_it()

__STATIC_INLINE void ll_timer_enable_channel1_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer channel1 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_CH1_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 457 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_channel2_it()

__STATIC_INLINE void ll_timer_enable_channel2_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer channel2 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_CH2_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 487 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_channel3_it()

__STATIC_INLINE void ll_timer_enable_channel3_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer channel3 interrupt.

Register|BitsName --------|-------- INTEN | TIMER_CH3_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 517 of file gr533x_ll_tim.h.

## ◆ ll_timer_enable_countdone_it()

__STATIC_INLINE void ll_timer_enable_countdone_it | ( | timer_regs_t * | TIMERx | ) |

Enable timer countdone interrupt.

Register|BitsName --------|-------- INTEN | TIMER_COUNTDONE_INT_EN

Parameters

  TIMERx | Timer instance

Return values

  None |

Definition at line 397 of file gr533x_ll_tim.h.

## ◆ ll_timer_is_enabled_it()

__STATIC_INLINE uint32_t ll_timer_is_enabled_it | ( | timer_regs_t * | TIMERx | ) |

Indicate whether the timer interrput is enabled.

Register|BitsName --------|-------- CTRL | INTEN

Parameters

  TIMERx | Timer instance

Return values

  State | of bit (1 or 0).

Definition at line 607 of file gr533x_ll_tim.h.